
#ifndef _HINT_LOG_H_
#define _HINT_LOG_H_

#define DEBUG 1
#ifdef DEBUG
#define hint_log(fmt, ...) printk(KERN_INFO  "%s: " fmt "\n", __FUNCTION__, ## __VA_ARGS__)
#define HINT_SCSI_DUMP_CDB(sc)                        \
do {                                                  \
  int k;                                              \
  printk(KERN_INFO "CDB(lun=%d): ", sc->device->lun); \
  for (k = 0; k < sc->cmd_len; ++k)                   \
		printk(" %02x", sc->cmnd[k]);                     \
	printk("\n");                                       \
}while (0)

#else

#define hint_log(fmt, ...)
#define HINT_SCSI_DUMP_CDB(sc)

#endif

#define hint_error(fmt, ...) printk(KERN_INFO "%s: ERROR: " fmt "\n", __FUNCTION__, ## __VA_ARGS__)
#define hint_error_ret(ret, fmt, ...) printk(KERN_INFO "%s: ERROR: ret=%d " fmt "\n", __FUNCTION__, ret, ## __VA_ARGS__)



#endif /* _HINT_LOG_H_ */
